Subject: Re: bug#22009: PATCH: Use `window-total-width' in `window-splittable-p'

From: Joost Kremers <[email-masked]>
Date: Tue, 01 Dec 2015 18:31:00 +0100

On Tue, Dec 01 2015, Eli Zaretskii <[email-masked]> wrote:
>> From: Joost Kremers <[email-masked]>
>> Cc: [email-masked]
>> Date: Tue, 01 Dec 2015 13:59:36 +0100
>> 
>> > The only way is
>> > to ask the modes themselves, or provide a hook for them to override
>> > the decision.
>> 
>> I'm not sure that would be able to handle cases where different modes
>> use the margins for different purposes.
>
> I think this is the actual challenge in this bug report: design a way
> that would make it possible.

Yes. We discussed a possible way of doing this in the thread on
emacs-devel. I'll start a new thread there with a summary of the issues
and a proposal on how to solve them.

-- 
Joost Kremers
Life has its moments